package lightcontainer.protocol;

public class StandardizedDefinitions {

    //Parties de regex non-utilisées en dehors de cette classe
    private final static String DIGIT = "[\\x30-\\x39]";
    private final static String VISIBLECHAR = "[\\x20-\\xFF]";
    private final static String PASSCHAR = "[\\x20-\\xFF]";
    private final static String BINARY = "[\\x00-\\xFF]";
    private final static String LETTER = "[\\x41-\\x5A\\x61-\\x7A]";
    private final static String DIGIT_LETTER = DIGIT + "|" + LETTER;

    //Parties de regex pouvant être utilisées en dehors de cette classe
    public final static String PORT = "(6553[\\x30-\\x35])|(655[\\x30-\\x32][\\x30-\\x39])|(65[\\x30-\\x34][\\x30-\\x32]{2})|(6[\\x30-\\x34][\\x30-\\x39]{3})|([\\x31-\\x35][\\x30-\\x39]{4})|([\\x30-\\x35]{0,5})|([\\x30-\\x39]{1,4})";
    public final static String SIZE = DIGIT + "{1,10}";
    public final static String LINE = "\\x0D\\x0A";
    public final static String PASSWORD = PASSCHAR + "{5,50}";
    public final static String BL = "\\x20";
    public final static String FILENAME = PASSCHAR + "{1,20}";
    public final static String DOMAIN = DIGIT_LETTER + "{5,20}[.]";
    public final static String HASH_FILENAME = DIGIT_LETTER + "{50,200}";
    public final static String HASH_FILECONTENT = DIGIT_LETTER + "{50,200}";
    public final static String FILE_INFO = HASH_FILENAME + BL + SIZE + BL + HASH_FILECONTENT;
    public final static String LOGIN = DIGIT_LETTER + "{5,20}";
}
